Package org.jdesktop.application

# Enum Class Task.BlockingScope

java.lang.Object
java.lang.Enum<Task.BlockingScope>
org.jdesktop.application.Task.BlockingScope

All Implemented Interfaces:
  `Serializable`, `Comparable<Task.BlockingScope>`, `Constable`

Enclosing class:
  `Task<T,V>`

public static enum Task.BlockingScope extends Enum<Task.BlockingScope>
Specifies to what extent the GUI should be blocked a Task is executed by a TaskService. Input blocking is carried out by the Task's `inputBlocker`.

See Also:
  - `Task.InputBlocker`
  - `Action.block()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACTION`
Block an `Action` while the task is executing, typically by temporarily disabling it.
`APPLICATION`
Block all of the application's top level windows, typically by showing a application-modal dialog.
`COMPONENT`
Block a component while the task is executing, typically by temporarily disabling it.
`NONE`
Don't block the GUI while this Task is executing.
`WINDOW`
Block a top level window while the task is executing, typically by showing a window-modal dialog.

## Method Summary

Modifier and Type
Method
Description
`static Task.BlockingScope`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Task.BlockingScope[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Task.BlockingScope NONE
Don't block the GUI while this Task is executing.

### ACTION

public static final Task.BlockingScope ACTION
Block an `Action` while the task is executing, typically by temporarily disabling it.

### COMPONENT

public static final Task.BlockingScope COMPONENT
Block a component while the task is executing, typically by temporarily disabling it.

### WINDOW

public static final Task.BlockingScope WINDOW
Block a top level window while the task is executing, typically by showing a window-modal dialog.

### APPLICATION

public static final Task.BlockingScope APPLICATION
Block all of the application's top level windows, typically by showing a application-modal dialog.

## Method Details

### values

public static Task.BlockingScope[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Task.BlockingScope valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null